%global _trivial .0
%global _buildid .1

%define _enable_debug_packages 0
%global debug_package %{nil}

Name: xdg-desktop-portal-lxqt
Version: 0.5.0
Release: 2%{dist}%{?_trivial}%{?_buildid}
Summary: A backend implementation for xdg-desktop-portal that is using Qt/KF5/libfm-qt
License: LGPL-2.0-or-later
URL: https://lxqt-project.org
Source0: https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: make
BuildRequires: cmake
BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: pkgconfig(lxqt) >= 1.1.0
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: qt5-qtbase-private-devel
BuildRequires: pkgconfig(libfm-qt)
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: gcc-c++
BuildRequires: libexif-devel
Requires: dbus-common
Requires: xdg-desktop-portal
Requires: libfm-qt

%description
%{summary}

%prep
%setup -q

%build
cmake -B redhat-linux-build -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=NO -S .
make %{?_smp_mflags} -C redhat-linux-build

%install
make install DESTDIR=%{buildroot} -C redhat-linux-build

%files
%doc CHANGELOG README.md
%license LICENSE
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/lxqt.portal
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.lxqt.service
%{_datadir}/applications/org.freedesktop.impl.portal.desktop.lxqt.desktop
%{_libexecdir}/xdg-desktop-portal-lxqt

%changelog
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 24 2023 Zamir SUN <sztsian@gmail.com> - 0.5.0-1
- Update version to 0.5.0

* Fri Jul 28 2023 Zamir SUN <sztsian@gmail.com> - 0.4.0-1
- Update version to 0.4.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Zamir SUN <sztsian@gmail.com> - 0.3.0-1
- Update version to 0.3.0

* Thu Sep 15 2022 Zamir SUN <sztsian@gmail.com> - 0.2.0-1
- Initial packaging
